const process = require("process")
const Modules = require("../../index.js")

const {
	app
} = require("renderer")

const env = process.env


let DiscordNative = {
	app,
	isRenderer: true,
	nativeModules: {
		ensureModule: (name) =>  {return true /* TODO: ensure stuff */},
		requireModule: (name) => {if (Modules[name]) return Modules[name]; else throw `Error: Cannot find module '${name}'`;}
	},
	'process': {
		platform: process.platform,
		arch: process.arch,
		env: {
			LOCALAPPDATA: env['LOCALAPPDATA'],
    		'PROGRAMFILES(X86)': env['PROGRAMFILES(X86)'],
    		PROGRAMFILES: env['PROGRAMFILES'],
    		PROGRAMW6432: env['PROGRAMW6432'],
    		PROGRAMDATA: env['PROGRAMDATA']
		}
	}
}

module.exports = DiscordNative
